<component name="ArtifactManager">
  <artifact type="exploded-war" name="ruoyi-framework:Web exploded">
    <output-path>$PROJECT_DIR$/out/artifacts/ruoyi_framework_Web_exploded</output-path>
    <root id="root">
      <element id="javaee-facet-resources" facet="ruoyi-framework/web/Web" />
      <element id="directory" name="WEB-INF">
        <element id="directory" name="classes">
          <element id="module-output" name="ruoyi-framework" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/cc/block/data/blockcc-api-client/1.3.2/blockcc-api-client-1.3.2.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/ch/qos/logback/logback-classic/1.2.12/logback-classic-1.2.12.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/ch/qos/logback/logback-core/1.2.12/logback-core-1.2.12.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/cn/dev33/sa-token-core/1.30.0/sa-token-core-1.30.0.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/cn/dev33/sa-token-dao-redis-jackson/1.30.0/sa-token-dao-redis-jackson-1.30.0.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/cn/dev33/sa-token-servlet/1.30.0/sa-token-servlet-1.30.0.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/cn/dev33/sa-token-spring-boot-starter/1.30.0/sa-token-spring-boot-starter-1.30.0.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/cn/hutool/hutool-all/5.3.5/hutool-all-5.3.5.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/com/alibaba/fastjson2/fastjson2/2.0.25/fastjson2-2.0.25.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/com/alibaba/druid-spring-boot-starter/1.2.16/druid-spring-boot-starter-1.2.16.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/com/alibaba/druid/1.2.16/druid-1.2.16.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/com/alibaba/fastjson/1.2.47/fastjson-1.2.47.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/com/aliyun/oss/aliyun-sdk-oss/3.10.2/aliyun-sdk-oss-3.10.2.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/com/aliyun/aliyun-java-sdk-core/3.4.0/aliyun-java-sdk-core-3.4.0.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/com/aliyun/aliyun-java-sdk-ecs/4.2.0/aliyun-java-sdk-ecs-4.2.0.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/com/aliyun/aliyun-java-sdk-kms/2.7.0/aliyun-java-sdk-kms-2.7.0.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/com/aliyun/aliyun-java-sdk-ram/3.0.0/aliyun-java-sdk-ram-3.0.0.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/com/aliyun/aliyun-java-sdk-sts/3.0.0/aliyun-java-sdk-sts-3.0.0.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/com/baomidou/dynamic-datasource-spring-boot-starter/3.5.2/dynamic-datasource-spring-boot-starter-3.5.2.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/com/baomidou/mybatis-plus-annotation/3.4.1/mybatis-plus-annotation-3.4.1.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/com/baomidou/mybatis-plus-boot-starter/3.4.1/mybatis-plus-boot-starter-3.4.1.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/com/baomidou/mybatis-plus-core/3.4.1/mybatis-plus-core-3.4.1.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/com/baomidou/mybatis-plus-extension/3.4.1/mybatis-plus-extension-3.4.1.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/com/baomidou/mybatis-plus/3.4.1/mybatis-plus-3.4.1.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/com/belerweb/pinyin4j/2.5.1/pinyin4j-2.5.1.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/com/beust/jcommander/1.72/jcommander-1.72.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/com/fasterxml/jackson/core/jackson-annotations/2.12.7/jackson-annotations-2.12.7.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/com/fasterxml/jackson/core/jackson-core/2.12.7/jackson-core-2.12.7.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/com/fasterxml/jackson/core/jackson-databind/2.12.7.1/jackson-databind-2.12.7.1.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/com/fasterxml/jackson/datatype/jackson-datatype-jdk8/2.12.7/jackson-datatype-jdk8-2.12.7.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/com/fasterxml/jackson/datatype/jackson-datatype-jsr310/2.12.7/jackson-datatype-jsr310-2.12.7.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/com/fasterxml/jackson/jaxrs/jackson-jaxrs-base/2.12.7/jackson-jaxrs-base-2.12.7.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/com/fasterxml/jackson/jaxrs/jackson-jaxrs-json-provider/2.12.7/jackson-jaxrs-json-provider-2.12.7.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/com/fasterxml/jackson/module/jackson-module-jaxb-annotations/2.12.7/jackson-module-jaxb-annotations-2.12.7.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/com/fasterxml/jackson/module/jackson-module-parameter-names/2.12.7/jackson-module-parameter-names-2.12.7.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/com/fasterxml/classmate/1.5.1/classmate-1.5.1.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/com/github/briandilley/jsonrpc4j/jsonrpc4j/1.4.6/jsonrpc4j-1.4.6.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/com/github/jai-imageio/jai-imageio-core/1.4.0/jai-imageio-core-1.4.0.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/com/github/jnr/jffi/1.2.17/jffi-1.2.17.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/com/github/jnr/jffi/1.2.16/jffi-1.2.16-native.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/com/github/jnr/jnr-a64asm/1.0.0/jnr-a64asm-1.0.0.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/com/github/jnr/jnr-constants/0.9.11/jnr-constants-0.9.11.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/com/github/jnr/jnr-enxio/0.19/jnr-enxio-0.19.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/com/github/jnr/jnr-ffi/2.1.9/jnr-ffi-2.1.9.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/com/github/jnr/jnr-posix/3.0.47/jnr-posix-3.0.47.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/com/github/jnr/jnr-unixsocket/0.21/jnr-unixsocket-0.21.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/com/github/jnr/jnr-x86asm/1.0.2/jnr-x86asm-1.0.2.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/com/github/jsqlparser/jsqlparser/4.5/jsqlparser-4.5.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/com/github/oshi/oshi-core/6.4.0/oshi-core-6.4.0.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/com/github/pagehelper/pagehelper-spring-boot-autoconfigure/1.4.6/pagehelper-spring-boot-autoconfigure-1.4.6.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/com/github/pagehelper/pagehelper-spring-boot-starter/1.4.6/pagehelper-spring-boot-starter-1.4.6.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/com/github/pagehelper/pagehelper/5.3.2/pagehelper-5.3.2.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/com/github/pengrad/java-telegram-bot-api/6.0.1/java-telegram-bot-api-6.0.1.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/com/github/virtuald/curvesapi/1.06/curvesapi-1.06.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/com/github/whvcse/easy-captcha/1.6.2/easy-captcha-1.6.2.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/com/google/android/annotations/4.1.1.4/annotations-4.1.1.4.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/com/google/api/grpc/proto-google-common-protos/1.17.0/proto-google-common-protos-1.17.0.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/com/google/code/findbugs/jsr305/3.0.2/jsr305-3.0.2.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/com/google/code/gson/gson/2.8.9/gson-2.8.9.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/com/google/errorprone/error_prone_annotations/2.3.4/error_prone_annotations-2.3.4.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/com/google/guava/failureaccess/1.0.1/failureaccess-1.0.1.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/com/google/guava/guava/29.0-android/guava-29.0-android.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/com/google/guava/listenablefuture/9999.0-empty-to-avoid-conflict-with-guava/listenablefuture-9999.0-empty-to-avoid-conflict-with-guava.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/com/google/j2objc/j2objc-annotations/1.3/j2objc-annotations-1.3.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/com/google/protobuf/protobuf-java/4.0.0-rc-2/protobuf-java-4.0.0-rc-2.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/com/google/zxing/core/3.3.3/core-3.3.3.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/com/google/zxing/javase/3.3.3/javase-3.3.3.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/com/huobi/linear/swap/api/huobi-linear-swap-api/1.0.1/huobi-linear-swap-api-1.0.1.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/com/jhlabs/filters/2.0.235-1/filters-2.0.235-1.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/com/mashape/unirest/unirest-java/1.4.9/unirest-java-1.4.9.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/com/squareup/okhttp3/logging-interceptor/3.14.9/logging-interceptor-3.14.9.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/com/squareup/okhttp3/okhttp/4.9.0/okhttp-4.9.0.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/com/squareup/okio/okio/2.8.0/okio-2.8.0.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/com/squareup/retrofit2/converter-jackson/2.9.0/converter-jackson-2.9.0.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/com/squareup/retrofit2/retrofit/2.9.0/retrofit-2.9.0.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/com/warrenstrange/googleauth/1.2.0/googleauth-1.2.0.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/com/zaxxer/HikariCP/4.0.3/HikariCP-4.0.3.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/com/zaxxer/SparseBitSet/1.2/SparseBitSet-1.2.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/commons-codec/commons-codec/1.15/commons-codec-1.15.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/commons-io/commons-io/2.11.0/commons-io-2.11.0.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/commons-lang/commons-lang/2.6/commons-lang-2.6.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/eu/bitwalker/UserAgentUtils/1.21/UserAgentUtils-1.21.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/io/github/binance/binance-connector-java/3.0.0rc3/binance-connector-java-3.0.0rc3.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/io/grpc/grpc-api/1.31.0/grpc-api-1.31.0.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/io/grpc/grpc-context/1.31.0/grpc-context-1.31.0.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/io/grpc/grpc-core/1.31.0/grpc-core-1.31.0.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/io/grpc/grpc-netty-shaded/1.31.0/grpc-netty-shaded-1.31.0.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/io/grpc/grpc-netty/1.31.0/grpc-netty-1.31.0.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/io/grpc/grpc-protobuf-lite/1.31.0/grpc-protobuf-lite-1.31.0.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/io/grpc/grpc-protobuf/1.31.0/grpc-protobuf-1.31.0.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/io/grpc/grpc-stub/1.31.0/grpc-stub-1.31.0.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/io/jsonwebtoken/jjwt/0.9.1/jjwt-0.9.1.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/io/netty/netty-buffer/4.1.92.Final/netty-buffer-4.1.92.Final.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/io/netty/netty-codec-http2/4.1.92.Final/netty-codec-http2-4.1.92.Final.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/io/netty/netty-codec-http/4.1.92.Final/netty-codec-http-4.1.92.Final.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/io/netty/netty-codec-socks/4.1.92.Final/netty-codec-socks-4.1.92.Final.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/io/netty/netty-codec/4.1.92.Final/netty-codec-4.1.92.Final.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/io/netty/netty-common/4.1.92.Final/netty-common-4.1.92.Final.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/io/netty/netty-handler-proxy/4.1.92.Final/netty-handler-proxy-4.1.92.Final.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/io/netty/netty-handler/4.1.92.Final/netty-handler-4.1.92.Final.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/io/netty/netty-resolver/4.1.92.Final/netty-resolver-4.1.92.Final.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/io/netty/netty-transport-native-unix-common/4.1.92.Final/netty-transport-native-unix-common-4.1.92.Final.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/io/netty/netty-transport/4.1.92.Final/netty-transport-4.1.92.Final.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/io/perfmark/perfmark-api/0.19.0/perfmark-api-0.19.0.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/io/reactivex/rxjava2/rxjava/2.2.21/rxjava-2.2.21.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/jakarta/annotation/jakarta.annotation-api/1.3.5/jakarta.annotation-api-1.3.5.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/jakarta/validation/jakarta.validation-api/2.0.2/jakarta.validation-api-2.0.2.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/jakarta/ws/rs/jakarta.ws.rs-api/2.1.6/jakarta.ws.rs-api-2.1.6.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/jakarta/xml/bind/jakarta.xml.bind-api/2.3.3/jakarta.xml.bind-api-2.3.3.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/javax/activation/activation/1.1.1/activation-1.1.1.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/javax/activation/javax.activation-api/1.2.0/javax.activation-api-1.2.0.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/javax/mail/mail/1.4.7/mail-1.4.7.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/javax/servlet/javax.servlet-api/4.0.1/javax.servlet-api-4.0.1.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/javax/servlet/servlet-api/2.5/servlet-api-2.5.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/javax/xml/bind/jaxb-api/2.3.1/jaxb-api-2.3.1.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/junit/junit/4.13.2/junit-4.13.2.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/net/iharder/base64/2.3.9/base64-2.3.9.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/net/java/dev/jna/jna-platform/5.12.1/jna-platform-5.12.1.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/net/java/dev/jna/jna/5.12.1/jna-5.12.1.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/org/apache/commons/commons-collections4/4.4/commons-collections4-4.4.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/org/apache/commons/commons-compress/1.19/commons-compress-1.19.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/org/apache/commons/commons-lang3/3.12.0/commons-lang3-3.12.0.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/org/apache/commons/commons-math3/3.6.1/commons-math3-3.6.1.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/org/apache/commons/commons-pool2/2.9.0/commons-pool2-2.9.0.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/org/apache/httpcomponents/httpasyncclient/4.1.5/httpasyncclient-4.1.5.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/org/apache/httpcomponents/httpclient/4.5.14/httpclient-4.5.14.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/org/apache/httpcomponents/httpcore-nio/4.4.16/httpcore-nio-4.4.16.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/org/apache/httpcomponents/httpcore/4.4.16/httpcore-4.4.16.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/org/apache/httpcomponents/httpmime/4.5.14/httpmime-4.5.14.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/org/apache/logging/log4j/log4j-api/2.17.2/log4j-api-2.17.2.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/org/apache/logging/log4j/log4j-to-slf4j/2.17.2/log4j-to-slf4j-2.17.2.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/org/apache/poi/poi-ooxml-schemas/4.1.2/poi-ooxml-schemas-4.1.2.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/org/apache/poi/poi-ooxml/4.1.2/poi-ooxml-4.1.2.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/org/apache/poi/poi/4.1.2/poi-4.1.2.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/org/apache/tomcat/embed/tomcat-embed-core/9.0.75/tomcat-embed-core-9.0.75.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/org/apache/tomcat/embed/tomcat-embed-el/9.0.75/tomcat-embed-el-9.0.75.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/org/apache/tomcat/embed/tomcat-embed-websocket/9.0.75/tomcat-embed-websocket-9.0.75.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/org/apache/xmlbeans/xmlbeans/3.1.0/xmlbeans-3.1.0.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/org/aspectj/aspectjweaver/1.9.7/aspectjweaver-1.9.7.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/org/bouncycastle/bcprov-jdk15on/1.68/bcprov-jdk15on-1.68.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/org/checkerframework/checker-compat-qual/2.5.5/checker-compat-qual-2.5.5.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/org/codehaus/jettison/jettison/1.1/jettison-1.1.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/org/codehaus/mojo/animal-sniffer-annotations/1.18/animal-sniffer-annotations-1.18.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/org/freemarker/freemarker/2.3.32/freemarker-2.3.32.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/org/glassfish/grizzly/grizzly-framework/2.4.4/grizzly-framework-2.4.4.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/org/glassfish/grizzly/grizzly-http-server/2.4.4/grizzly-http-server-2.4.4.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/org/glassfish/grizzly/grizzly-http/2.4.4/grizzly-http-2.4.4.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/org/glassfish/hk2/external/aopalliance-repackaged/2.6.1/aopalliance-repackaged-2.6.1.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/org/glassfish/hk2/external/jakarta.inject/2.6.1/jakarta.inject-2.6.1.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/org/glassfish/hk2/hk2-api/2.6.1/hk2-api-2.6.1.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/org/glassfish/hk2/hk2-locator/2.6.1/hk2-locator-2.6.1.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/org/glassfish/hk2/hk2-utils/2.6.1/hk2-utils-2.6.1.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/org/glassfish/hk2/osgi-resource-locator/1.0.3/osgi-resource-locator-1.0.3.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/org/glassfish/jersey/containers/jersey-container-grizzly2-http/2.33/jersey-container-grizzly2-http-2.33.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/org/glassfish/jersey/core/jersey-client/2.33/jersey-client-2.33.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/org/glassfish/jersey/core/jersey-common/2.33/jersey-common-2.33.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/org/glassfish/jersey/core/jersey-server/2.33/jersey-server-2.33.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/org/glassfish/jersey/ext/jersey-entity-filtering/2.33/jersey-entity-filtering-2.33.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/org/glassfish/jersey/inject/jersey-hk2/2.33/jersey-hk2-2.33.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/org/glassfish/jersey/media/jersey-media-json-jackson/2.33/jersey-media-json-jackson-2.33.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/org/hamcrest/hamcrest-core/2.2/hamcrest-core-2.2.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/org/hamcrest/hamcrest/2.2/hamcrest-2.2.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/org/hashids/hashids/1.0.3/hashids-1.0.3.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/org/hibernate/validator/hibernate-validator/6.2.5.Final/hibernate-validator-6.2.5.Final.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/org/java-websocket/Java-WebSocket/1.4.0/Java-WebSocket-1.4.0.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/org/javassist/javassist/3.25.0-GA/javassist-3.25.0-GA.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/org/jboss/logging/jboss-logging/3.4.3.Final/jboss-logging-3.4.3.Final.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/org/jdom/jdom2/2.0.6.1/jdom2-2.0.6.1.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/org/jetbrains/kotlin/kotlin-stdlib-common/1.5.32/kotlin-stdlib-common-1.5.32.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/org/jetbrains/kotlin/kotlin-stdlib/1.5.32/kotlin-stdlib-1.5.32.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/org/jetbrains/annotations/13.0/annotations-13.0.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/org/json/json/20180813/json-20180813.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/org/lionsoul/ip2region/1.7.2/ip2region-1.7.2.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/org/mybatis/spring/boot/mybatis-spring-boot-autoconfigure/2.2.2/mybatis-spring-boot-autoconfigure-2.2.2.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/org/mybatis/spring/boot/mybatis-spring-boot-starter/2.2.2/mybatis-spring-boot-starter-2.2.2.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/org/mybatis/mybatis-spring/2.0.7/mybatis-spring-2.0.7.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/org/mybatis/mybatis/3.5.9/mybatis-3.5.9.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/org/ow2/asm/asm-analysis/5.0.3/asm-analysis-5.0.3.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/org/ow2/asm/asm-commons/5.0.3/asm-commons-5.0.3.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/org/ow2/asm/asm-tree/5.0.3/asm-tree-5.0.3.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/org/ow2/asm/asm-util/5.0.3/asm-util-5.0.3.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/org/ow2/asm/asm/5.0.3/asm-5.0.3.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/org/projectlombok/lombok/1.18.26/lombok-1.18.26.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/org/reactivestreams/reactive-streams/1.0.4/reactive-streams-1.0.4.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/org/slf4j/jul-to-slf4j/1.7.36/jul-to-slf4j-1.7.36.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/org/slf4j/slf4j-api/1.7.36/slf4j-api-1.7.36.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/org/springframework/boot/spring-boot-autoconfigure/2.5.15/spring-boot-autoconfigure-2.5.15.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/org/springframework/boot/spring-boot-starter-aop/2.5.15/spring-boot-starter-aop-2.5.15.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/org/springframework/boot/spring-boot-starter-data-redis/2.5.15/spring-boot-starter-data-redis-2.5.15.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/org/springframework/boot/spring-boot-starter-jdbc/2.5.15/spring-boot-starter-jdbc-2.5.15.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/org/springframework/boot/spring-boot-starter-json/2.5.15/spring-boot-starter-json-2.5.15.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/org/springframework/boot/spring-boot-starter-logging/2.5.15/spring-boot-starter-logging-2.5.15.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/org/springframework/boot/spring-boot-starter-security/2.5.15/spring-boot-starter-security-2.5.15.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/org/springframework/boot/spring-boot-starter-tomcat/2.5.15/spring-boot-starter-tomcat-2.5.15.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/org/springframework/boot/spring-boot-starter-validation/2.5.15/spring-boot-starter-validation-2.5.15.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/org/springframework/boot/spring-boot-starter-web/2.5.15/spring-boot-starter-web-2.5.15.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/org/springframework/boot/spring-boot-starter-websocket/2.5.15/spring-boot-starter-websocket-2.5.15.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/org/springframework/boot/spring-boot-starter/2.5.15/spring-boot-starter-2.5.15.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/org/springframework/boot/spring-boot/2.5.15/spring-boot-2.5.15.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/org/springframework/data/spring-data-commons/2.5.12/spring-data-commons-2.5.12.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/org/springframework/data/spring-data-keyvalue/2.5.12/spring-data-keyvalue-2.5.12.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/org/springframework/data/spring-data-redis/2.5.12/spring-data-redis-2.5.12.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/org/springframework/security/spring-security-config/5.5.8/spring-security-config-5.5.8.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/org/springframework/security/spring-security-core/5.5.8/spring-security-core-5.5.8.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/org/springframework/security/spring-security-crypto/5.5.8/spring-security-crypto-5.5.8.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/org/springframework/security/spring-security-web/5.5.8/spring-security-web-5.5.8.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/org/springframework/spring-aop/5.3.27/spring-aop-5.3.27.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/org/springframework/spring-beans/5.3.27/spring-beans-5.3.27.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/org/springframework/spring-context-support/5.3.27/spring-context-support-5.3.27.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/org/springframework/spring-context/5.3.27/spring-context-5.3.27.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/org/springframework/spring-core/5.3.27/spring-core-5.3.27.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/org/springframework/spring-expression/5.3.27/spring-expression-5.3.27.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/org/springframework/spring-jcl/5.3.27/spring-jcl-5.3.27.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/org/springframework/spring-jdbc/5.3.27/spring-jdbc-5.3.27.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/org/springframework/spring-messaging/5.3.27/spring-messaging-5.3.27.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/org/springframework/spring-oxm/5.3.27/spring-oxm-5.3.27.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/org/springframework/spring-tx/5.3.27/spring-tx-5.3.27.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/org/springframework/spring-web/5.3.27/spring-web-5.3.27.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/org/springframework/spring-webmvc/5.3.27/spring-webmvc-5.3.27.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/org/springframework/spring-websocket/5.3.27/spring-websocket-5.3.27.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/org/telegram/telegrambots-meta/6.0.1/telegrambots-meta-6.0.1.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/org/telegram/telegrambots/6.0.1/telegrambots-6.0.1.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/org/telegram/telegrambotsextensions/4.8.1/telegrambotsextensions-4.8.1.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$PROJECT_DIR$/ruoyi-common/src/lib/abi-0.7.0.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$PROJECT_DIR$/ruoyi-common/src/lib/core-0.7.0.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$PROJECT_DIR$/ruoyi-common/src/lib/utils-0.7.0.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/org/web3j/abi/4.8.7/abi-4.8.7.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/org/web3j/core/4.8.7/core-4.8.7.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/org/web3j/crypto/4.8.7/crypto-4.8.7.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/org/web3j/rlp/4.8.7/rlp-4.8.7.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/org/web3j/tuples/4.8.7/tuples-4.8.7.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/org/web3j/utils/4.8.7/utils-4.8.7.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/org/yaml/snakeyaml/1.28/snakeyaml-1.28.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/pro/fessional/kaptcha/2.3.3/kaptcha-2.3.3.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/redis/clients/jedis/3.6.3/jedis-3.6.3.jar" path-in-jar="/" />
          <element id="extracted-dir" path="$MAVEN_REPOSITORY$/stax/stax-api/1.0.1/stax-api-1.0.1.jar" path-in-jar="/" />
        </element>
        <element id="directory" name="lib">
          <element id="library" level="project" name="Maven: cc.block.data:blockcc-api-client:1.3.2" />
          <element id="library" level="project" name="Maven: ch.qos.logback:logback-classic:1.2.12" />
          <element id="library" level="project" name="Maven: ch.qos.logback:logback-core:1.2.12" />
          <element id="library" level="project" name="Maven: cn.dev33:sa-token-core:1.30.0" />
          <element id="library" level="project" name="Maven: cn.dev33:sa-token-dao-redis-jackson:1.30.0" />
          <element id="library" level="project" name="Maven: cn.dev33:sa-token-servlet:1.30.0" />
          <element id="library" level="project" name="Maven: cn.dev33:sa-token-spring-boot-starter:1.30.0" />
          <element id="library" level="project" name="Maven: cn.hutool:hutool-all:5.3.5" />
          <element id="library" level="project" name="Maven: com.alibaba.fastjson2:fastjson2:2.0.25" />
          <element id="library" level="project" name="Maven: com.alibaba:druid-spring-boot-starter:1.2.16" />
          <element id="library" level="project" name="Maven: com.alibaba:druid:1.2.16" />
          <element id="library" level="project" name="Maven: com.alibaba:fastjson:1.2.47" />
          <element id="library" level="project" name="Maven: com.aliyun.oss:aliyun-sdk-oss:3.10.2" />
          <element id="library" level="project" name="Maven: com.aliyun:aliyun-java-sdk-core:3.4.0" />
          <element id="library" level="project" name="Maven: com.aliyun:aliyun-java-sdk-ecs:4.2.0" />
          <element id="library" level="project" name="Maven: com.aliyun:aliyun-java-sdk-kms:2.7.0" />
          <element id="library" level="project" name="Maven: com.aliyun:aliyun-java-sdk-ram:3.0.0" />
          <element id="library" level="project" name="Maven: com.aliyun:aliyun-java-sdk-sts:3.0.0" />
          <element id="library" level="project" name="Maven: com.baomidou:dynamic-datasource-spring-boot-starter:3.5.2" />
          <element id="library" level="project" name="Maven: com.baomidou:mybatis-plus-annotation:3.4.1" />
          <element id="library" level="project" name="Maven: com.baomidou:mybatis-plus-boot-starter:3.4.1" />
          <element id="library" level="project" name="Maven: com.baomidou:mybatis-plus-core:3.4.1" />
          <element id="library" level="project" name="Maven: com.baomidou:mybatis-plus-extension:3.4.1" />
          <element id="library" level="project" name="Maven: com.baomidou:mybatis-plus:3.4.1" />
          <element id="library" level="project" name="Maven: com.belerweb:pinyin4j:2.5.1" />
          <element id="library" level="project" name="Maven: com.beust:jcommander:1.72" />
          <element id="library" level="project" name="Maven: com.fasterxml.jackson.core:jackson-annotations:2.12.7" />
          <element id="library" level="project" name="Maven: com.fasterxml.jackson.core:jackson-core:2.12.7" />
          <element id="library" level="project" name="Maven: com.fasterxml.jackson.core:jackson-databind:2.12.7.1" />
          <element id="library" level="project" name="Maven: com.fasterxml.jackson.datatype:jackson-datatype-jdk8:2.12.7" />
          <element id="library" level="project" name="Maven: com.fasterxml.jackson.datatype:jackson-datatype-jsr310:2.12.7" />
          <element id="library" level="project" name="Maven: com.fasterxml.jackson.jaxrs:jackson-jaxrs-base:2.12.7" />
          <element id="library" level="project" name="Maven: com.fasterxml.jackson.jaxrs:jackson-jaxrs-json-provider:2.12.7" />
          <element id="library" level="project" name="Maven: com.fasterxml.jackson.module:jackson-module-jaxb-annotations:2.12.7" />
          <element id="library" level="project" name="Maven: com.fasterxml.jackson.module:jackson-module-parameter-names:2.12.7" />
          <element id="library" level="project" name="Maven: com.fasterxml:classmate:1.5.1" />
          <element id="library" level="project" name="Maven: com.github.briandilley.jsonrpc4j:jsonrpc4j:1.4.6" />
          <element id="library" level="project" name="Maven: com.github.jai-imageio:jai-imageio-core:1.4.0" />
          <element id="library" level="project" name="Maven: com.github.jnr:jffi:1.2.17" />
          <element id="library" level="project" name="Maven: com.github.jnr:jffi:native:1.2.16" />
          <element id="library" level="project" name="Maven: com.github.jnr:jnr-a64asm:1.0.0" />
          <element id="library" level="project" name="Maven: com.github.jnr:jnr-constants:0.9.11" />
          <element id="library" level="project" name="Maven: com.github.jnr:jnr-enxio:0.19" />
          <element id="library" level="project" name="Maven: com.github.jnr:jnr-ffi:2.1.9" />
          <element id="library" level="project" name="Maven: com.github.jnr:jnr-posix:3.0.47" />
          <element id="library" level="project" name="Maven: com.github.jnr:jnr-unixsocket:0.21" />
          <element id="library" level="project" name="Maven: com.github.jnr:jnr-x86asm:1.0.2" />
          <element id="library" level="project" name="Maven: com.github.jsqlparser:jsqlparser:4.5" />
          <element id="library" level="project" name="Maven: com.github.oshi:oshi-core:6.4.0" />
          <element id="library" level="project" name="Maven: com.github.pagehelper:pagehelper-spring-boot-autoconfigure:1.4.6" />
          <element id="library" level="project" name="Maven: com.github.pagehelper:pagehelper-spring-boot-starter:1.4.6" />
          <element id="library" level="project" name="Maven: com.github.pagehelper:pagehelper:5.3.2" />
          <element id="library" level="project" name="Maven: com.github.pengrad:java-telegram-bot-api:6.0.1" />
          <element id="library" level="project" name="Maven: com.github.virtuald:curvesapi:1.06" />
          <element id="library" level="project" name="Maven: com.github.whvcse:easy-captcha:1.6.2" />
          <element id="library" level="project" name="Maven: com.google.android:annotations:4.1.1.4" />
          <element id="library" level="project" name="Maven: com.google.api.grpc:proto-google-common-protos:1.17.0" />
          <element id="library" level="project" name="Maven: com.google.code.findbugs:jsr305:3.0.2" />
          <element id="library" level="project" name="Maven: com.google.code.gson:gson:2.8.9" />
          <element id="library" level="project" name="Maven: com.google.errorprone:error_prone_annotations:2.3.4" />
          <element id="library" level="project" name="Maven: com.google.guava:failureaccess:1.0.1" />
          <element id="library" level="project" name="Maven: com.google.guava:guava:29.0-android" />
          <element id="library" level="project" name="Maven: com.google.guava:listenablefuture:9999.0-empty-to-avoid-conflict-with-guava" />
          <element id="library" level="project" name="Maven: com.google.j2objc:j2objc-annotations:1.3" />
          <element id="library" level="project" name="Maven: com.google.protobuf:protobuf-java:4.0.0-rc-2" />
          <element id="library" level="project" name="Maven: com.google.zxing:core:3.3.3" />
          <element id="library" level="project" name="Maven: com.google.zxing:javase:3.3.3" />
          <element id="library" level="project" name="Maven: com.huobi.linear.swap.api:huobi-linear-swap-api:1.0.1" />
          <element id="library" level="project" name="Maven: com.jhlabs:filters:2.0.235-1" />
          <element id="library" level="project" name="Maven: com.mashape.unirest:unirest-java:1.4.9" />
          <element id="library" level="project" name="Maven: com.squareup.okhttp3:logging-interceptor:3.14.9" />
          <element id="library" level="project" name="Maven: com.squareup.okhttp3:okhttp:4.9.0" />
          <element id="library" level="project" name="Maven: com.squareup.okio:okio:2.8.0" />
          <element id="library" level="project" name="Maven: com.squareup.retrofit2:converter-jackson:2.9.0" />
          <element id="library" level="project" name="Maven: com.squareup.retrofit2:retrofit:2.9.0" />
          <element id="library" level="project" name="Maven: com.warrenstrange:googleauth:1.2.0" />
          <element id="library" level="project" name="Maven: com.zaxxer:HikariCP:4.0.3" />
          <element id="library" level="project" name="Maven: com.zaxxer:SparseBitSet:1.2" />
          <element id="library" level="project" name="Maven: commons-codec:commons-codec:1.15" />
          <element id="library" level="project" name="Maven: commons-io:commons-io:2.11.0" />
          <element id="library" level="project" name="Maven: commons-lang:commons-lang:2.6" />
          <element id="library" level="project" name="Maven: eu.bitwalker:UserAgentUtils:1.21" />
          <element id="library" level="project" name="Maven: io.github.binance:binance-connector-java:3.0.0rc3" />
          <element id="library" level="project" name="Maven: io.grpc:grpc-api:1.31.0" />
          <element id="library" level="project" name="Maven: io.grpc:grpc-context:1.31.0" />
          <element id="library" level="project" name="Maven: io.grpc:grpc-core:1.31.0" />
          <element id="library" level="project" name="Maven: io.grpc:grpc-netty-shaded:1.31.0" />
          <element id="library" level="project" name="Maven: io.grpc:grpc-netty:1.31.0" />
          <element id="library" level="project" name="Maven: io.grpc:grpc-protobuf-lite:1.31.0" />
          <element id="library" level="project" name="Maven: io.grpc:grpc-protobuf:1.31.0" />
          <element id="library" level="project" name="Maven: io.grpc:grpc-stub:1.31.0" />
          <element id="library" level="project" name="Maven: io.jsonwebtoken:jjwt:0.9.1" />
          <element id="library" level="project" name="Maven: io.netty:netty-buffer:4.1.92.Final" />
          <element id="library" level="project" name="Maven: io.netty:netty-codec-http2:4.1.92.Final" />
          <element id="library" level="project" name="Maven: io.netty:netty-codec-http:4.1.92.Final" />
          <element id="library" level="project" name="Maven: io.netty:netty-codec-socks:4.1.92.Final" />
          <element id="library" level="project" name="Maven: io.netty:netty-codec:4.1.92.Final" />
          <element id="library" level="project" name="Maven: io.netty:netty-common:4.1.92.Final" />
          <element id="library" level="project" name="Maven: io.netty:netty-handler-proxy:4.1.92.Final" />
          <element id="library" level="project" name="Maven: io.netty:netty-handler:4.1.92.Final" />
          <element id="library" level="project" name="Maven: io.netty:netty-resolver:4.1.92.Final" />
          <element id="library" level="project" name="Maven: io.netty:netty-transport-native-unix-common:4.1.92.Final" />
          <element id="library" level="project" name="Maven: io.netty:netty-transport:4.1.92.Final" />
          <element id="library" level="project" name="Maven: io.perfmark:perfmark-api:0.19.0" />
          <element id="library" level="project" name="Maven: io.reactivex.rxjava2:rxjava:2.2.21" />
          <element id="library" level="project" name="Maven: jakarta.annotation:jakarta.annotation-api:1.3.5" />
          <element id="library" level="project" name="Maven: jakarta.validation:jakarta.validation-api:2.0.2" />
          <element id="library" level="project" name="Maven: jakarta.ws.rs:jakarta.ws.rs-api:2.1.6" />
          <element id="library" level="project" name="Maven: jakarta.xml.bind:jakarta.xml.bind-api:2.3.3" />
          <element id="library" level="project" name="Maven: javax.activation:activation:1.1.1" />
          <element id="library" level="project" name="Maven: javax.activation:javax.activation-api:1.2.0" />
          <element id="library" level="project" name="Maven: javax.mail:mail:1.4.7" />
          <element id="library" level="project" name="Maven: javax.servlet:javax.servlet-api:4.0.1" />
          <element id="library" level="project" name="Maven: javax.servlet:servlet-api:2.5" />
          <element id="library" level="project" name="Maven: javax.xml.bind:jaxb-api:2.3.1" />
          <element id="library" level="project" name="Maven: junit:junit:4.13.2" />
          <element id="library" level="project" name="Maven: net.iharder:base64:2.3.9" />
          <element id="library" level="project" name="Maven: net.java.dev.jna:jna-platform:5.12.1" />
          <element id="library" level="project" name="Maven: net.java.dev.jna:jna:5.12.1" />
          <element id="library" level="project" name="Maven: org.apache.commons:commons-collections4:4.4" />
          <element id="library" level="project" name="Maven: org.apache.commons:commons-compress:1.19" />
          <element id="library" level="project" name="Maven: org.apache.commons:commons-lang3:3.12.0" />
          <element id="library" level="project" name="Maven: org.apache.commons:commons-math3:3.6.1" />
          <element id="library" level="project" name="Maven: org.apache.commons:commons-pool2:2.9.0" />
          <element id="library" level="project" name="Maven: org.apache.httpcomponents:httpasyncclient:4.1.5" />
          <element id="library" level="project" name="Maven: org.apache.httpcomponents:httpclient:4.5.14" />
          <element id="library" level="project" name="Maven: org.apache.httpcomponents:httpcore-nio:4.4.16" />
          <element id="library" level="project" name="Maven: org.apache.httpcomponents:httpcore:4.4.16" />
          <element id="library" level="project" name="Maven: org.apache.httpcomponents:httpmime:4.5.14" />
          <element id="library" level="project" name="Maven: org.apache.logging.log4j:log4j-api:2.17.2" />
          <element id="library" level="project" name="Maven: org.apache.logging.log4j:log4j-to-slf4j:2.17.2" />
          <element id="library" level="project" name="Maven: org.apache.poi:poi-ooxml-schemas:4.1.2" />
          <element id="library" level="project" name="Maven: org.apache.poi:poi-ooxml:4.1.2" />
          <element id="library" level="project" name="Maven: org.apache.poi:poi:4.1.2" />
          <element id="library" level="project" name="Maven: org.apache.tomcat.embed:tomcat-embed-core:9.0.75" />
          <element id="library" level="project" name="Maven: org.apache.tomcat.embed:tomcat-embed-el:9.0.75" />
          <element id="library" level="project" name="Maven: org.apache.tomcat.embed:tomcat-embed-websocket:9.0.75" />
          <element id="library" level="project" name="Maven: org.apache.xmlbeans:xmlbeans:3.1.0" />
          <element id="library" level="project" name="Maven: org.aspectj:aspectjweaver:1.9.7" />
          <element id="library" level="project" name="Maven: org.bouncycastle:bcprov-jdk15on:1.68" />
          <element id="library" level="project" name="Maven: org.checkerframework:checker-compat-qual:2.5.5" />
          <element id="library" level="project" name="Maven: org.codehaus.jettison:jettison:1.1" />
          <element id="library" level="project" name="Maven: org.codehaus.mojo:animal-sniffer-annotations:1.18" />
          <element id="library" level="project" name="Maven: org.freemarker:freemarker:2.3.32" />
          <element id="library" level="project" name="Maven: org.glassfish.grizzly:grizzly-framework:2.4.4" />
          <element id="library" level="project" name="Maven: org.glassfish.grizzly:grizzly-http-server:2.4.4" />
          <element id="library" level="project" name="Maven: org.glassfish.grizzly:grizzly-http:2.4.4" />
          <element id="library" level="project" name="Maven: org.glassfish.hk2.external:aopalliance-repackaged:2.6.1" />
          <element id="library" level="project" name="Maven: org.glassfish.hk2.external:jakarta.inject:2.6.1" />
          <element id="library" level="project" name="Maven: org.glassfish.hk2:hk2-api:2.6.1" />
          <element id="library" level="project" name="Maven: org.glassfish.hk2:hk2-locator:2.6.1" />
          <element id="library" level="project" name="Maven: org.glassfish.hk2:hk2-utils:2.6.1" />
          <element id="library" level="project" name="Maven: org.glassfish.hk2:osgi-resource-locator:1.0.3" />
          <element id="library" level="project" name="Maven: org.glassfish.jersey.containers:jersey-container-grizzly2-http:2.33" />
          <element id="library" level="project" name="Maven: org.glassfish.jersey.core:jersey-client:2.33" />
          <element id="library" level="project" name="Maven: org.glassfish.jersey.core:jersey-common:2.33" />
          <element id="library" level="project" name="Maven: org.glassfish.jersey.core:jersey-server:2.33" />
          <element id="library" level="project" name="Maven: org.glassfish.jersey.ext:jersey-entity-filtering:2.33" />
          <element id="library" level="project" name="Maven: org.glassfish.jersey.inject:jersey-hk2:2.33" />
          <element id="library" level="project" name="Maven: org.glassfish.jersey.media:jersey-media-json-jackson:2.33" />
          <element id="library" level="project" name="Maven: org.hamcrest:hamcrest-core:2.2" />
          <element id="library" level="project" name="Maven: org.hamcrest:hamcrest:2.2" />
          <element id="library" level="project" name="Maven: org.hashids:hashids:1.0.3" />
          <element id="library" level="project" name="Maven: org.hibernate.validator:hibernate-validator:6.2.5.Final" />
          <element id="library" level="project" name="Maven: org.java-websocket:Java-WebSocket:1.4.0" />
          <element id="library" level="project" name="Maven: org.javassist:javassist:3.25.0-GA" />
          <element id="library" level="project" name="Maven: org.jboss.logging:jboss-logging:3.4.3.Final" />
          <element id="library" level="project" name="Maven: org.jdom:jdom2:2.0.6.1" />
          <element id="library" level="project" name="Maven: org.jetbrains.kotlin:kotlin-stdlib-common:1.5.32" />
          <element id="library" level="project" name="Maven: org.jetbrains.kotlin:kotlin-stdlib:1.5.32" />
          <element id="library" level="project" name="Maven: org.jetbrains:annotations:13.0" />
          <element id="library" level="project" name="Maven: org.json:json:20180813" />
          <element id="library" level="project" name="Maven: org.lionsoul:ip2region:1.7.2" />
          <element id="library" level="project" name="Maven: org.mybatis.spring.boot:mybatis-spring-boot-autoconfigure:2.2.2" />
          <element id="library" level="project" name="Maven: org.mybatis.spring.boot:mybatis-spring-boot-starter:2.2.2" />
          <element id="library" level="project" name="Maven: org.mybatis:mybatis-spring:2.0.7" />
          <element id="library" level="project" name="Maven: org.mybatis:mybatis:3.5.9" />
          <element id="library" level="project" name="Maven: org.ow2.asm:asm-analysis:5.0.3" />
          <element id="library" level="project" name="Maven: org.ow2.asm:asm-commons:5.0.3" />
          <element id="library" level="project" name="Maven: org.ow2.asm:asm-tree:5.0.3" />
          <element id="library" level="project" name="Maven: org.ow2.asm:asm-util:5.0.3" />
          <element id="library" level="project" name="Maven: org.ow2.asm:asm:5.0.3" />
          <element id="library" level="project" name="Maven: org.projectlombok:lombok:1.18.26" />
          <element id="library" level="project" name="Maven: org.reactivestreams:reactive-streams:1.0.4" />
          <element id="library" level="project" name="Maven: org.slf4j:jul-to-slf4j:1.7.36" />
          <element id="library" level="project" name="Maven: org.slf4j:slf4j-api:1.7.36" />
          <element id="library" level="project" name="Maven: org.springframework.boot:spring-boot-autoconfigure:2.5.15" />
          <element id="library" level="project" name="Maven: org.springframework.boot:spring-boot-starter-aop:2.5.15" />
          <element id="library" level="project" name="Maven: org.springframework.boot:spring-boot-starter-data-redis:2.5.15" />
          <element id="library" level="project" name="Maven: org.springframework.boot:spring-boot-starter-jdbc:2.5.15" />
          <element id="library" level="project" name="Maven: org.springframework.boot:spring-boot-starter-json:2.5.15" />
          <element id="library" level="project" name="Maven: org.springframework.boot:spring-boot-starter-logging:2.5.15" />
          <element id="library" level="project" name="Maven: org.springframework.boot:spring-boot-starter-security:2.5.15" />
          <element id="library" level="project" name="Maven: org.springframework.boot:spring-boot-starter-tomcat:2.5.15" />
          <element id="library" level="project" name="Maven: org.springframework.boot:spring-boot-starter-validation:2.5.15" />
          <element id="library" level="project" name="Maven: org.springframework.boot:spring-boot-starter-web:2.5.15" />
          <element id="library" level="project" name="Maven: org.springframework.boot:spring-boot-starter-websocket:2.5.15" />
          <element id="library" level="project" name="Maven: org.springframework.boot:spring-boot-starter:2.5.15" />
          <element id="library" level="project" name="Maven: org.springframework.boot:spring-boot:2.5.15" />
          <element id="library" level="project" name="Maven: org.springframework.data:spring-data-commons:2.5.12" />
          <element id="library" level="project" name="Maven: org.springframework.data:spring-data-keyvalue:2.5.12" />
          <element id="library" level="project" name="Maven: org.springframework.data:spring-data-redis:2.5.12" />
          <element id="library" level="project" name="Maven: org.springframework.security:spring-security-config:5.5.8" />
          <element id="library" level="project" name="Maven: org.springframework.security:spring-security-core:5.5.8" />
          <element id="library" level="project" name="Maven: org.springframework.security:spring-security-crypto:5.5.8" />
          <element id="library" level="project" name="Maven: org.springframework.security:spring-security-web:5.5.8" />
          <element id="library" level="project" name="Maven: org.springframework:spring-aop:5.3.27" />
          <element id="library" level="project" name="Maven: org.springframework:spring-beans:5.3.27" />
          <element id="library" level="project" name="Maven: org.springframework:spring-context-support:5.3.27" />
          <element id="library" level="project" name="Maven: org.springframework:spring-context:5.3.27" />
          <element id="library" level="project" name="Maven: org.springframework:spring-core:5.3.27" />
          <element id="library" level="project" name="Maven: org.springframework:spring-expression:5.3.27" />
          <element id="library" level="project" name="Maven: org.springframework:spring-jcl:5.3.27" />
          <element id="library" level="project" name="Maven: org.springframework:spring-jdbc:5.3.27" />
          <element id="library" level="project" name="Maven: org.springframework:spring-messaging:5.3.27" />
          <element id="library" level="project" name="Maven: org.springframework:spring-oxm:5.3.27" />
          <element id="library" level="project" name="Maven: org.springframework:spring-tx:5.3.27" />
          <element id="library" level="project" name="Maven: org.springframework:spring-web:5.3.27" />
          <element id="library" level="project" name="Maven: org.springframework:spring-webmvc:5.3.27" />
          <element id="library" level="project" name="Maven: org.springframework:spring-websocket:5.3.27" />
          <element id="library" level="project" name="Maven: org.telegram:telegrambots-meta:6.0.1" />
          <element id="library" level="project" name="Maven: org.telegram:telegrambots:6.0.1" />
          <element id="library" level="project" name="Maven: org.telegram:telegrambotsextensions:4.8.1" />
          <element id="library" level="module" name="Maven: org.tron.trident:abi:0.7.0" module-name="ruoyi-framework" />
          <element id="library" level="module" name="Maven: org.tron.trident:core:0.7.0" module-name="ruoyi-framework" />
          <element id="library" level="module" name="Maven: org.tron.trident:utils:0.7.0" module-name="ruoyi-framework" />
          <element id="library" level="project" name="Maven: org.web3j:abi:4.8.7" />
          <element id="library" level="project" name="Maven: org.web3j:core:4.8.7" />
          <element id="library" level="project" name="Maven: org.web3j:crypto:4.8.7" />
          <element id="library" level="project" name="Maven: org.web3j:rlp:4.8.7" />
          <element id="library" level="project" name="Maven: org.web3j:tuples:4.8.7" />
          <element id="library" level="project" name="Maven: org.web3j:utils:4.8.7" />
          <element id="library" level="project" name="Maven: org.yaml:snakeyaml:1.28" />
          <element id="library" level="project" name="Maven: pro.fessional:kaptcha:2.3.3" />
          <element id="library" level="project" name="Maven: redis.clients:jedis:3.6.3" />
          <element id="library" level="project" name="Maven: stax:stax-api:1.0.1" />
        </element>
      </element>
      <element id="artifact" artifact-name="echo2-admin:Web exploded" />
    </root>
  </artifact>
</component>